# Copyright 2020 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# WAsm SIMD
- name: xnn_f32_dwconv_ukernel_up4x3__wasmsimd
- name: xnn_f32_dwconv_ukernel_up4x4__wasmsimd
- name: xnn_f32_dwconv_ukernel_up4x9__wasmsimd
- name: xnn_f32_dwconv_ukernel_up4x9__wasmsimd_acc2
- name: xnn_f32_dwconv_ukernel_up4x25__wasmsimd
- name: xnn_f32_dwconv_ukernel_up8x3__wasmsimd
- name: xnn_f32_dwconv_ukernel_up8x4__wasmsimd
- name: xnn_f32_dwconv_ukernel_up8x9__wasmsimd
- name: xnn_f32_dwconv_ukernel_up8x9__wasmsimd_acc2
- name: xnn_f32_dwconv_ukernel_up8x25__wasmsimd
# WAsm Relaxed SIMD
- name: xnn_f32_dwconv_ukernel_up4x3__wasmrelaxedsimd_fma
- name: xnn_f32_dwconv_ukernel_up4x4__wasmrelaxedsimd_fma
- name: xnn_f32_dwconv_ukernel_up4x9__wasmrelaxedsimd_fma
- name: xnn_f32_dwconv_ukernel_up4x25__wasmrelaxedsimd_fma
- name: xnn_f32_dwconv_ukernel_up8x3__wasmrelaxedsimd_fma
- name: xnn_f32_dwconv_ukernel_up8x4__wasmrelaxedsimd_fma
- name: xnn_f32_dwconv_ukernel_up8x9__wasmrelaxedsimd_fma
- name: xnn_f32_dwconv_ukernel_up8x25__wasmrelaxedsimd_fma
# Scalar
- name: xnn_f32_dwconv_ukernel_up1x3__scalar
- name: xnn_f32_dwconv_ukernel_up1x3__scalar_acc2
- name: xnn_f32_dwconv_ukernel_up1x4__scalar
- name: xnn_f32_dwconv_ukernel_up1x4__scalar_acc2
- name: xnn_f32_dwconv_ukernel_up1x9__scalar
- name: xnn_f32_dwconv_ukernel_up1x9__scalar_acc2
- name: xnn_f32_dwconv_ukernel_up1x25__scalar
- name: xnn_f32_dwconv_ukernel_up1x25__scalar_acc2
- name: xnn_f32_dwconv_ukernel_up2x3__scalar
- name: xnn_f32_dwconv_ukernel_up2x3__scalar_acc2
- name: xnn_f32_dwconv_ukernel_up2x4__scalar
- name: xnn_f32_dwconv_ukernel_up2x4__scalar_acc2
- name: xnn_f32_dwconv_ukernel_up2x9__scalar
- name: xnn_f32_dwconv_ukernel_up2x9__scalar_acc2
- name: xnn_f32_dwconv_ukernel_up2x25__scalar
- name: xnn_f32_dwconv_ukernel_up2x25__scalar_acc2
